SmartAssembly 6.12 has been released

Russell DRussell D Posts: 1,325 Diamond 5
edited October 16, 2018 7:13AM in SmartAssembly
This introduces the ability to Force obfuscation that SA would otherwise automatically exclude.

To upgrade, click 'Check for Updates' in SmartAssembly. You can also download the update from http://download.red-gate.com//checkforupdates/SmartAssembly/SmartAssembly_6.12.1.641.exe.

For more information on the bug fixes in this version, please see https://documentation.red-gate.com/sa6/release-notes-and-other-versions/smartassembly-6-12-release-notes

Please note that SmartAssembly now requires a SQL database. Do not upgrade past 6.9 if you do not want to use one.
Have you visited our Help Centre?
Tagged:

Comments

  • gheradelgheradel Posts: 2 New member
    edited March 2, 2018 3:38PM
    We just installed this version yesterday and now we're getting a 404 error when attempting to view our error reports. Error dialog says:

    Error downloading reports
    The request failed with HTTP status 404: Not Found. (occurred once)



    Is this a serious error that should be reported to Red Gate?


    Yes No


    Clicking yes and trying to send the error report results in a similar message. The dialog for sending the report successfully prepares the error report but then fails with "Connecting to server. (ERR 2001: The request failed with HTTP status 404: Not found.)"

    This was working for us fine up until yesterday when we upgraded from an older version. All other internet activity on this machine works fine.
  • Russell DRussell D Posts: 1,325 Diamond 5
    Sorry this was missed as its in the announcement thread - if you're still having issues please email support with your log files.
    Have you visited our Help Centre?
  • JensJens Posts: 9 New member
    SQL database

    We installed the new version as well. Now it is asking for a SQL database. We did never configure any SQL server and don't even have one.

    How can we configure SA to work without any SQL database / server?
  • Russell DRussell D Posts: 1,325 Diamond 5
    edited May 14, 2018 8:54AM
    Hi Jens,

    Unfortunately at this point in time, you can't. You can either port your existing database to SQL (any of the free versions work fine, as well as the licensed versions) using the provided migration tool: https://documentation.red-gate.com/sa6/upgrading/migrating-your-smartassembly-database-to-sql, or you will need to downgrade to the version you were on (if you let me know I can provide a direct link).

    This was a somewhat unfortunate decision taken a while ago in order to force people away from the built in database that SA used, because it caused - and continues to do so for those on the earlier versions - a number of significant issues for some people in terms of data and project history loss.

    We will be working on completely decoupling the program from the database requirement as it shouldn't actually be necessary to use a database when purely obfuscating, but this was unfortunately baked into the software years - and many version - ago, and simply hasn't been changed.

    As you can probably appreciate, we have more pressing things to tackle than this at present (.NET Core support), but it is definitely on the horizon. I will just say that the next release that will have .NET Core support is highly likely - at this stage - to also have the SQL database requirement, as it is going to be a reasonably large undertaking to change this part of the program.
    Have you visited our Help Centre?
  • JensJens Posts: 9 New member
    Hi Russel

    We definitely do not want to setup any SQL database just for obfuscating and merging our assemblies.

    So can you provide me a link with the latest version that does NOT require any SQL database?


  • Russell DRussell D Posts: 1,325 Diamond 5
    You will need to downgrade to 6.9, which you can obtain here: ftp://support.red-gate.com/patches/SmartAssembly/26Nov2015/.

    Obviously ignore any prompts to check for updates.
    Have you visited our Help Centre?
Sign In or Register to comment.